---
# tasks file for create admin account
- name: "Ensure group cesi exists"
  group:
    name: cesi
    state: present
  become: true


- name: Add the user with a specific uid and a primary group of cesi
  become: true
  user:
    name: "{{ item.name }}"
    shell: /bin/bash
    group: "{{ item.group }}"
  with_items: "{{ user_details }}"

- name: Déployer les clés admin
  become: true
  authorized_key:
    user: "{{ item.name }}"
    key:  "{{ lookup('file', '{{ item.name }}') }}"
    state: present
    exclusive: True
  with_items: "{{ user_details }}"


- name: Allow CESI users to sudo without a password
  become: true
  lineinfile:
    path: /etc/sudoers.d/admin
    line: '%cesi ALL=(ALL) NOPASSWD: ALL'
    create: yes
  tags: sudo
